Bug 13375 - REGRESSION (r20901): failing fast/overflow/scrollRevealButton.html
Summary: REGRESSION (r20901): failing fast/overflow/scrollRevealButton.html
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Darin Adler
URL:
Keywords: LayoutTestFailure, Regression
Depends on:
Blocks:
 
Reported: 2007-04-17 12:22 PDT by mitz
Modified: 2007-04-19 10:22 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mitz 2007-04-17 12:22:03 PDT
fast/overflow/scrollRevealButton.html fails to scroll the button into view when it's focused.
Regressed in <http://trac.webkit.org/projects/webkit/changeset/20901>.
Comment 1 Darin Adler 2007-04-17 13:17:55 PDT
Wow, did this change really cause the regression? I have no idea how!
Comment 2 mitz 2007-04-17 13:32:11 PDT
(In reply to comment #1)
> Wow, did this change really cause the regression?

Yes.

> I have no idea how! 

I suspect it's the removal of the updateLayout() call from setIsActive(), that just happened to be at right place at the right time to ensure that everything is set up for scroll-to-reveal to do its thing. Without it, some of the dimensions are (0, 0) which messes up the scrolling. Even prior to r20901, opening the test in a background tab, for example, would make it fail.

I've readded an updateLayout() back in order to test my theory. If it's right, then that call should probably be added in a more appropriate place to ensure that scroll-to-reveal has all the information it needs.
Comment 3 mitz 2007-04-17 13:57:04 PDT
(In reply to comment #2)
> I suspect it's the removal of the updateLayout() call from setIsActive().

Confirmed.
Comment 4 Darin Adler 2007-04-17 14:56:30 PDT
(In reply to comment #3)
> Confirmed.

To me it seems fine to just add an updateLayout to setIsActive, check that in, and then later try to come up with a better way to fix this problem.
Comment 5 mitz 2007-04-18 22:48:56 PDT
Fixed by Darin in r20936.